.dialog {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background: rgba(0, 0, 0, 0.3);
    z-index: 999;
    box-sizing: border-box;
    overflow: hidden;
}

.dialog-tips .dialog-main {
    position: absolute;
    top: 42%;
}

.dialog-tips .dialog-main-con1 {
    width: 7.5rem;
    height: 5.34rem;
    background: url(../img/pop/pop_continue1.png) no-repeat top center;
    background-size: 100%;
}

.dialog-tips .dialog-main-con2 {
    width: 2.24rem;
    height: 0.28rem;
    background: url(../img/pop/pop_continue.png) no-repeat top center;
    background-size: 100%;
    margin: 0 auto;
    margin-top: 2%;
}

.dialog-rule .dialog-main {
    width: 6.01rem;
    height: 8.25rem;
    background: url(../img/pop/pop_activity_rules.png) no-repeat top center;
    background-size: 100%;
    margin: 0 auto;
    margin-top: 34%;
    position: relative;
    
}

.dialog-main .dialog-close {
    width: 0.41rem;
    height: 0.4rem;
    background: url(../img/pop/pop_clock_close.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    right: -0.08rem;
    top: -0.08rem;
}

.dialog-rule-con {
    width: 4.76rem;
    /* margin: 0 auto; */
    margin-top: 1.5rem;
    max-height: 5.89rem;
    overflow: auto;
    position: absolute;
    left: 0.6rem;
}

.dialog-rule-item {
    display: flex;
}

.dialog-rule-item-num {
    width: 0.26rem;
    height: 0.26rem;
    background-color: #e2909d;
    font-size: 0.14rem;
    text-align: center;
    line-height: 0.27rem;
    color: #ffffff;
    border-radius: 50%;
    margin-right: 0.1rem;
    margin-top: 0.05rem;
}

.dialog-rule-item-con {
    width: 4.4rem;
    font-size: 0.24rem;
    color: #aa9177;
    line-height: 0.36rem;
}

.rule-blob {
    font-weight: bold;
    color: #cc6472;
}

.dialog-rule-line {
    width: 4.4rem;
    border-bottom: 1px dotted #ecd7c1;
    margin: 0.20rem 0 0.2rem 0.36rem ;
    
}

.dialog-reward .dialog-main {
    width: 6.01rem;
    height: 6.25rem;
    background: url(../img/pop/rewards_box.png) no-repeat top center;
    background-size: 100%;
    margin: 0 auto;
    margin-top: 34%;
    position: relative; 
}

.dialog-login .dialog-main {
    width: 6.01rem;
    height: 4.85rem;
    background: url(../img/pop/sigin_box.png) no-repeat top center;
    background-size: 100%;
    margin: 0 auto;
    margin-top: 44%;
    position: relative; 
}

.dialog-login-con {
    padding: 1.4rem 0.56rem 0 0.59rem;
}

.dialog-login-item {
    display: flex;
    font-size: 0.24rem;
    color: #e2909d;
    line-height: 0.44rem;
    margin-top: 0.17rem;
}

.dialog-login-item input {
    flex: 1;
    height: 0.44rem;
    line-height: 0.44rem;
    background-color: #ffefdf;
    border: none;
    font-size: 0.24rem;
    color: #787878;
    min-width: 0;
}

.dialog-login-code-btn {
    height: 0.44rem;
    line-height: 0.44rem;
    background-color: #ffacbc;
    margin-left: 0.1rem;
    color: #ffffff;
    padding: 0 0.05rem;
}

.dialog-login-message {
    width: 3.8rem;
    color: #f86a6a;
    font-size: 0.24rem;
    margin-left: 1rem;
    margin-top: 0.2rem;
    margin-bottom: 0.2rem;
    min-height: 0.34rem;
}

.dialog-login-con .dialog-login-btn {
    width: 2.7rem;
    height: 0.7rem;
    background: url(../img/pop/sigin_btn.png) no-repeat top center;
    background-size: 100%;
    margin: 0 auto;
}

.disabled {
    opacity: 0.6;
}

.dialog-reward-list .dialog-main {
    width: 6.01rem;
    height: 10.55rem;
    background: url(../img/pop/pop_award_center.png) no-repeat top center;
    background-size: 100%;
    margin: 0 auto;
    margin-top: 14%;
    position: relative;
    /* overflow: hidden; */
    padding-top: 1.4rem;
}

.dialog-reward-list-main {
    width: 4.9rem;
    margin: 0 auto;
    
    height: 4.45rem;
    overflow: auto;
}

.dialog-reward-list-item {
    width: 4.9rem;
    height: 0.7rem;
    background: rgba( 255, 255, 255, 0.7);
	box-shadow: 0 0.05rem 0.16rem 0.02rem rgba(224, 204, 184, 0.72);
	border-radius: 0.06rem;
    font-size: 0.24rem;
    display: flex;
    margin-top: 0.08rem;
}

.dialog-reward-list-item-icon {
    display: inline-block;
    width: 0.17rem;
    height: 0.17rem;
    background: url(../img/pop/pop_xx.png) no-repeat top center;
    background-size: 100%;
    margin-top: 0.08rem;
}

.dialog-reward-list-item-left {
    width: 3.4rem;
    padding-left: 0.16rem;
    box-sizing: border-box;
}

.dialog-reward-list-item-left-top {
    color: #ffacbc;
}

.dialog-reward-list-item-left-b {
    color: #787878;
}

.dialog-reward-list-item-right {
    width: 1.5rem;
    height: 0.7rem;
    background-color: #ffacbc;
	border-radius: 0.06rem;
    text-align: center;
    line-height: 0.7rem;
    color: #ffffff;
}

.dialog-reward-list-info {
    width: 4.9rem;
    margin: 0 auto;
    font-size: 0.2rem;
    color: #787878;
    line-height: 0.36rem;
}

.dialog-reward-list-info-title {
    width: 2.3rem;
    height: 0.37rem;
    background: url(../img/pop/pop_share_receive.png) no-repeat top center;
    background-size: 100%;
    margin-top: 0.16rem;
    margin-bottom: 0.1rem;
}

.dialog-reward-list-btn {
    width: 100%;
    height: 1.8rem;
    margin-top: 0.5rem;
}

.dialog-bg {

}

.dialog-bg-top {
    width: 4.39rem;
    height: 1.16rem;
    background: url(../img/pop/clock_tips.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    top: 13%;
    left: 13%;
}

.swiper-button-prev {
    width: 0.51rem;
    height: 0.51rem;
    background: url(../img/pop/pop_clock_left.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    top: 59%;
    left: 40%;
}

.swiper-button-next {
    width: 0.51rem;
    height: 0.51rem;
    background: url(../img/pop/pop_clock_right.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    top: 59%;
    right: 40%;
}

.dialog-bg-swiper {
    width: 100%;
    height: 3.43rem;
    position: absolute;
    left: 0;
    top: 3.25rem;
    padding-left: 0.6rem;
}

.swiper-slide {
    width: 6.02rem;
    height: 3.43rem;
    background-color: #000000;
	border-radius: 0.1rem;
	border: solid 0.1rem #ffffff;
    box-sizing: border-box;
    margin: 0 0.15rem;
}

.swiper-slide > img {
    width: 100%;
    height: 100%;
}

.dialog-bg-btn {
    width: 4.52rem;
    height: 2.33rem;
    background: url(../img/pop/clock_btn.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    left: 1.7rem;
    top: 9.75rem;
}

.dialog-postcard .dialog-main {
    width: 6.02rem;
    height: 6.16rem;
    background: url(../img/pop/pop_clock_bg1.png) no-repeat top center;
    background-size: 100%;
    margin: 0 auto;
    margin-top: 50%;
    text-align: center;
    position: relative;
}

.dialog-postcard-img {
    width: 5.5rem;
    height: 5.63rem;
    display: inline-block;
    margin: 0 auto;
    margin-top: -1.2rem;
}

.dialog-postcard-b {
    width: 6.64rem;
    height: 3.79rem;
    /* background: url(../img/pop/pop_clock_bg.png) no-repeat top center; */
    background-size: 100%;
    position: absolute;
    bottom: 0;
    left: -0.31rem;

}

.dialog-postcard-tips {
    width: 4.39rem;
    height: 1.16rem;
    background: url(../img/pop/clock_tips1.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    top: -2.3rem;
    left: 0.2rem;
}

.postcard-con {
    width: 550px;
    height: 563px;
    position: relative;
}

.postcard-con > img {
    width: 100%;
    height: 100%;
    display: inline-block;
    position: absolute;
    left: 0;
    top: 0;
}

.postcard-con .role {
    width: 180px;
    height: 180px;
    position: absolute;
    right: 0;
    top: 178px;
}

.postcard-con-npc {
    width: 153px;
    height: 203px;
    background: url(../img/pop/pop_clock_prospect.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    top: 150px;
    right: 120px;
    z-index: 14;
}

.postcard-con > .postcard-con-bg {
    width: 529px;
    height: 344px;
    position: absolute;
    left: 10px;
    top: 10px;
}

.postcard-con {
    position: absolute;
    z-index: 0;
}

.postcard-con-finish {
    width: 271px;
    height: 144px;
    background: url(../img/pop/pop_clock_reach.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    left: 9px;
    top: 260px;
}
.postcard-con-code {
    width: 120px;
    height: 120px;
    background: url(../img/qrcode.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    right: 20px;
    bottom: 60px;
}


.dialog-postcard-close {
    width: 0.41rem;
    height: 0.4rem;
    background: url(../img/pop/pop_clock_close.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    bottom: -1rem;
    left: 50%;
    transform: translateX(-50%);
}

.diary-con {
    width: 750px;
    height: 1334px;
    background: url(../img/pop/postcard_bg.jpg) no-repeat top center;
    background-size: 100%;
    position: absolute;
    z-index: 0;
}

.diary-con-item .postcard-con {
    width: 308px;
    height: 291px;
    position: relative;
}

.diary-con-item .postcard-con > img {
    width: 100%;
    height: 100%;
    display: inline-block;
    position: absolute;
    left: 0;
    top: 0;
}

.diary-con-item .postcard-con .role {
    width: 101px;
    height: 101px;
    position: absolute;
    right: 0;
    top: 100px;
}

.diary-con-item .postcard-con-npc {
    width: 86px;
    height: 114px;
    background: url(../img/pop/pop_clock_prospect.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    top: 84px;
    right: 67px;
    z-index: 14;
}

.diary-con-item .postcard-con > .postcard-con-bg {
    width: 296px;
    height: 193px;
    position: absolute;
    left: 6px;
    top: 6px;
}

.diary-con-item .postcard-con {
    /* height: 5.2rem; */
    /* transform: scale(0.56); */
}

.diary-con-item {
    position: absolute;
}

.diary-con-item1 {
    left: 90px;
    top: 180px;
    transform: rotate(-10deg);
}

.diary-con-item2 {
    left: 400px;
    top: 290px;
    transform: rotate(15deg);
}

.diary-con-item3 {
    left: 60px;
    top: 480px;
    transform: rotate(-15deg);
}

.diary-con-item4 {
    left: 380px;
    top: 610px;
    transform: rotate(-5deg);
}

.diary-con-item5 {
    left: 90px;
    top: 790px;
    transform: rotate(3deg);
}

.diary-con-icon {
    width: 225px;
    height: 254pxrem;
    background: url(../img/pop/sharing_pp.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    top: 360px;
    left: -33px;
    transform: scale(0.7);
}

.dialog-diary .dialog-main {
    width: 100%;
    height: 100%;
}

.dialog-diary .dialog-main img {
    width: 100%;
    height: 100%;
    position: absolute;
}

.dialog-diary-b {
    width: 7.5rem;
    height: 3.93rem;
    background: url(../img/pop/postcard_j.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    bottom: 0;
}
.dialog-diary-close {
    width: 1.74rem;
    height: 1.75rem;
    background: url(../img/pop/return.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    left: 0;
    bottom: 0.05rem;
    /* transform: scale(0.8); */
}

.dialog-diary-share-list {
    display: flex;
    position: absolute;
    bottom: 0.7rem;
    left: 1.7rem;
}

.dialog-diary-share-list>div {
    margin: 0 0.2rem;
}

.share-wx {
    width: 0.64rem;
    height: 0.64rem;
    background: url(../img/pop/map_wx.png) no-repeat top center;
    background-size: 100%;
}

.share-pyq {
    width: 0.64rem;
    height: 0.64rem;
    background: url(../img/pop/map_gp.png) no-repeat top center;
    background-size: 100%;
}

.share-wb {
    width: 0.64rem;
    height: 0.64rem;
    background: url(../img/pop/map_wb.png) no-repeat top center;
    background-size: 100%;
}

.share-qq {
    width: 0.64rem;
    height: 0.64rem;
    background: url(../img/pop/map_qq.png) no-repeat top center;
    background-size: 100%;
}

.dialog-diary-tips {
    width: 5.82rem;
    height: 1.23rem;
    background: url(../img/pop/map_tips.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    bottom: 1.1rem;
    left: 1.3rem;
}

.wx-dialog .dialog-mian {
    width: 3.98rem;
    height: 1.9rem;
    background: url(../img/pop/share_tips.png) no-repeat top center;
    background-size: 100%;
    position: absolute;
    right: 0.1rem;
    top: 0.1rem;
}

.dialog-reward-list-none {
    font-size: 0.22rem;
    color: #ffacbc;
}

.change-lang {
    width: 0.6rem;
    height: 0.4rem;
    /* background: black; */
    position: absolute;
    right: 0.15rem;
    top: 2.2rem;
}

.share-x {
    width: 0.76rem;
    height: 0.76rem;
    background: url(../img/pop/map_x.png) no-repeat top center;
    background-size: 100%;
}

.share-fb {
    width: 0.76rem;
    height: 0.76rem;
    background: url(../img/pop/map_f.png) no-repeat top center;
    background-size: 100%;
}

.share-ins {
    width: 0.76rem;
    height: 0.76rem;
    background: url(../img/pop/map_b.png) no-repeat top center;
    background-size: 100%;
}